
From: David Mosberger <davidm@napali.hpl.hp.com>

Dont' truncate the ioremap return value to 32-bits.


 drivers/video/radeonfb.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/video/radeonfb.c~radeon-fb-64-bit-fix drivers/video/radeonfb.c
--- 25/drivers/video/radeonfb.c~radeon-fb-64-bit-fix	2003-05-13 18:26:34.000000000 -0700
+++ 25-akpm/drivers/video/radeonfb.c	2003-05-13 18:26:34.000000000 -0700
@@ -2840,8 +2840,7 @@ static int radeonfb_pci_register (struct
 	}
 
 	/* map the regions */
-	rinfo->mmio_base = (u32) ioremap (rinfo->mmio_base_phys,
-				    		    RADEON_REGSIZE);
+	rinfo->mmio_base = (unsigned long) ioremap (rinfo->mmio_base_phys, RADEON_REGSIZE);
 	if (!rinfo->mmio_base) {
 		printk ("radeonfb: cannot map MMIO\n");
 		release_mem_region (rinfo->mmio_base_phys,
@@ -2978,8 +2977,7 @@ static int radeonfb_pci_register (struct
 		}
 	}
 
-	rinfo->fb_base = (u32) ioremap (rinfo->fb_base_phys,
-				  		  rinfo->video_ram);
+	rinfo->fb_base = (unsigned long) ioremap (rinfo->fb_base_phys, rinfo->video_ram);
 	if (!rinfo->fb_base) {
 		printk ("radeonfb: cannot map FB\n");
 		iounmap ((void*)rinfo->mmio_base);

_
